Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
How to install "I, librarian" on Gentoo?
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Unsupported Software
View previous topic :: View next topic  
Author Message
jonasstein
n00b
n00b


Joined: 03 Mar 2013
Posts: 31

PostPosted: Sun Mar 03, 2013 1:38 pm    Post subject: How to install "I, librarian" on Gentoo? Reply with quote

"I, librarian" is a mixture of JabRef and Mendeley. There is no ebuild yet, what is the best way to install it?

http://www.bioinformatics.org/librarian/
Back to top
View user's profile Send private message
lexflex
Apprentice
Apprentice


Joined: 05 Mar 2006
Posts: 191
Location: the Netherlands

PostPosted: Sun Mar 03, 2013 1:53 pm    Post subject: Reply with quote

I dont know the program, but since it appears to be some webbased php-application running in apache to be accessed using a web browser , it seems the instruction on that page under "linux" should more or less do the job:

http://www.bioinformatics.org/librarian/installation.php

Maybe first install all the mentioned packages using emerge, and you might have to search around for the " gentoo" equivalent of the package.
For example, Poppler-utils does not seem to be available anymore, but poppler is ( and might contain the necessary functionality).

Alex.
Back to top
View user's profile Send private message
jonasstein
n00b
n00b


Joined: 03 Mar 2013
Posts: 31

PostPosted: Sun Mar 03, 2013 3:49 pm    Post subject: Reply with quote

On a fresh gentoo system I guess one has to follow these steps first:

Code:
emerge www-servers/apache

echo "dev-lang/php gd sqlite3 apache" >> /etc/portage/package.use
emerge dev-lang/php

emerge app-text/poppler

echo "app-text/bibutils ~amd64" >> /etc/portage/package.keywords

emerge app-text/ghostscript-gpl
emerge app-text/pdftk

cd /tmp
wget http://www.bioinformatics.org/librarian/I,-Librarian-2.9-Linux.tar.gz
tar zxpf "/tmp/I,-Librarian-2.9-Linux.tar.gz" -C /var/www/localhost/htdocs/ilibrarian/

chown -R apache:apache /var/www/localhost/htdocs/ilibrarian


At this point apache runs and you can open the librarian website in a browser, but php code is shown as text. Todo:

  • How can I tell apache that .php may be executed?
  • The gentoo howto suggested a global use flag for apache and php in make.conf. But I guess its better to add it to /etc/portage/package.use
    if one is not shure that really all programms should be compiled with these flags.
Back to top
View user's profile Send private message
lexflex
Apprentice
Apprentice


Joined: 05 Mar 2006
Posts: 191
Location: the Netherlands

PostPosted: Sun Mar 03, 2013 4:45 pm    Post subject: Reply with quote

jonasstein wrote:

[*]The gentoo howto suggested a global use flag for apache and php in make.conf. But I guess its better to add it to /etc/portage/package.use
if one is not shure that really all programms should be compiled with these flags.[/list]


Yes, indeed you can add php on a per-programm basis. This will make sure that the php-flag is not enabled for stuff that you dont need to have php support.

In your case add the useflags to at least apache (php) and to php (apache2) and reemerge (and update using --newuse).
Also, you need to check if the programs needed for "librarian" don't need php support, or you will have to add the php useflag for those too.

Since the php flag is only usefull for all kinds of webservices, enabling php globally will make all relevant packages being compiled with php (and also others).
(so, not for 'all programs', since most dont use the php useflag at all)
It might be the easiest way, but indeed wil mean some more (but not all) programs are compiled with the php useflag.

Alex.
Back to top
View user's profile Send private message
lexflex
Apprentice
Apprentice


Joined: 05 Mar 2006
Posts: 191
Location: the Netherlands

PostPosted: Wed Mar 06, 2013 6:39 pm    Post subject: Reply with quote

Got it working?

jonasstein wrote:

At this point apache runs and you can open the librarian website in a browser, but php code is shown as text. Todo:


Did you add "-D PHP5" to your APACHE2_OPTS in /etc/conf.d/apache2 ?
After this, restart apache...
Back to top
View user's profile Send private message
jonasstein
n00b
n00b


Joined: 03 Mar 2013
Posts: 31

PostPosted: Fri Mar 08, 2013 10:10 pm    Post subject: Reply with quote

I have just added PHP support:

Code:
cat /etc/conf.d/apache2
[..]
APACHE2_OPTS="-D DEFAULT_VHOST -D INFO -D SSL -D SSL_DEFAULT_VHOST -D LANGUAGE -D PHP5"
[..]


then I ensured that apache2 is not running and restarted it
Code:

# rc-service apache2 stop
 * Stopping apache2 ...
apache2: Could not reliably determine the server's fully qualified domain name, using ::1 for ServerName                                                  [ ok ]

# rc-service apache2 start
 * Starting apache2 ...
apache2: Could not reliably determine the server's fully qualified domain name, using ::1 for ServerName   

It is not working yet. http://localhost/ilibrarian/ shows:

Code:
<?php
include_once 'data.php';
include_once 'functions.php';

//UPGRADING DATABASE[..]
Back to top
View user's profile Send private message
lexflex
Apprentice
Apprentice


Joined: 05 Mar 2006
Posts: 191
Location: the Netherlands

PostPosted: Sat Mar 09, 2013 6:44 am    Post subject: Reply with quote

jonasstein wrote:

It is not working yet. http://localhost/ilibrarian/ shows:

Code:
<?php
include_once 'data.php';
include_once 'functions.php';
//UPGRADING DATABASE[..]



This seems to indicate apache doesnt call php for this page, otherwise there would have probably been an error if something was wrong.
What are your use flags for php in package.use?
(In above example, you seem to have added apache, but you need to add apache2)


Alex.
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Unsupported Software All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum